Bug 861383 - Need more descriptive error message when the server-side consumer doesn't exist
Need more descriptive error message when the server-side consumer doesn't exist
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 08:47 EDT by Jay Dobies
Modified: 2013-09-09 12:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-09-28 08:47:11 EDT
I had a consumer registered but then lost the reference to it in the database. We have the ability to account for that with the --force flag, but the error message doesn't indicate clearly enough that --force should be used to clear out the consumer-side knowledge of the consumer. When viewed back to back, it's confusing; it says the consumer is already registered but then that it cannot be found.


╭─[jdob]─[hinterlands]─[~/.pulp]─[]─●
╰─➤ sudo pulp-consumer register --consumer-id hinterlands                            64 ↵
This system has already been registered as a consumer. Please use the unregister
command to remove the consumer before attempting to reregister.

╭─[jdob]─[hinterlands]─[~/.pulp]─[]─●
╰─➤ sudo pulp-consumer unregister                          
The following resource(s) could not be found:

  hinterlands (consumer)
Comment 1 Jay Dobies 2012-12-07 09:06:12 EST
Fixed in the 0.12 beta.
Comment 2 Preethi Thomas 2012-12-10 22:01:08 EST
[root@fedora16-client ~]# rpm -q pulp-consumer-client
pulp-consumer-client-2.0.6-0.14.beta.noarch
[root@fedora16-client ~]# 

[root@fedora16-client ~]# pulp-consumer -u admin -p admin register --consumer-id pulpclient
This system has already been registered as a consumer. Please use the unregister
command to remove the consumer before attempting to reregister.

[root@fedora16-client ~]# pulp-consumer -u admin -p admin unregister
This consumer does not exist on the server. Please retry using the --force
option.

[root@fedora16-client ~]# pulp-consumer -u admin -p admin unregister --force
Consumer [pulpclient] successfully unregistered

[root@fedora16-client ~]# pulp-consumer -u admin -p admin register --consumer-id pulpclient
Consumer [pulpclient] successfully registered

[root@fedora16-client ~]#
Comment 3 Preethi Thomas 2013-01-09 12:08:52 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.